package com.haris.shopping.managementutil;

import com.haris.shopping.databaseutil.DatabaseObject;
import com.haris.shopping.preferenceutil.PrefObject;
import com.haris.shopping.objectutil.RequestObject;

import java.util.List;

public abstract class ManagementBase {

    public abstract void sendRequestToServer(RequestObject requestObject);

    public abstract List<Object> getDataFromDatabase(DatabaseObject databaseObject);

    public abstract PrefObject getPreferences(PrefObject prefObject);

    public abstract void savePreferences(PrefObject prefObject);

}
